package com.bocloud.cos.model;

import lombok.Data;

import java.util.List;

@Data
public class RegionModel {
    private String name;
    private String code;
    private String regionId;
    private String guid;
    private List<ZoneModel> zones;
    private String projectId;

    public RegionModel() {
    }

    @Override
    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof RegionModel)) {
            return false;
        } else {
            RegionModel other = (RegionModel)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$name = this.getName();
                Object other$name = other.getName();
                if (this$name == null) {
                    if (other$name != null) {
                        return false;
                    }
                } else if (!this$name.equals(other$name)) {
                    return false;
                }

                Object this$code = this.getCode();
                Object other$code = other.getCode();
                if (this$code == null) {
                    if (other$code != null) {
                        return false;
                    }
                } else if (!this$code.equals(other$code)) {
                    return false;
                }

                Object this$regionId = this.getRegionId();
                Object other$regionId = other.getRegionId();
                if (this$regionId == null) {
                    if (other$regionId != null) {
                        return false;
                    }
                } else if (!this$regionId.equals(other$regionId)) {
                    return false;
                }

                label62: {
                    Object this$guid = this.getGuid();
                    Object other$guid = other.getGuid();
                    if (this$guid == null) {
                        if (other$guid == null) {
                            break label62;
                        }
                    } else if (this$guid.equals(other$guid)) {
                        break label62;
                    }

                    return false;
                }

                label55: {
                    Object this$zones = this.getZones();
                    Object other$zones = other.getZones();
                    if (this$zones == null) {
                        if (other$zones == null) {
                            break label55;
                        }
                    } else if (this$zones.equals(other$zones)) {
                        break label55;
                    }

                    return false;
                }

                Object this$projectId = this.getProjectId();
                Object other$projectId = other.getProjectId();
                if (this$projectId == null) {
                    if (other$projectId != null) {
                        return false;
                    }
                } else if (!this$projectId.equals(other$projectId)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof RegionModel;
    }

    @Override
    public int hashCode() {
        int result = 1;
        Object $name = this.getName();
        result = result * 59 + ($name == null ? 43 : $name.hashCode());
        Object $code = this.getCode();
        result = result * 59 + ($code == null ? 43 : $code.hashCode());
        Object $regionId = this.getRegionId();
        result = result * 59 + ($regionId == null ? 43 : $regionId.hashCode());
        Object $guid = this.getGuid();
        result = result * 59 + ($guid == null ? 43 : $guid.hashCode());
        Object $zones = this.getZones();
        result = result * 59 + ($zones == null ? 43 : $zones.hashCode());
        Object $projectId = this.getProjectId();
        result = result * 59 + ($projectId == null ? 43 : $projectId.hashCode());
        return result;
    }

    @Override
    public String toString() {
        return "RegionModel(name=" + this.getName() + ", code=" + this.getCode() + ", regionId=" + this.getRegionId() + ", guid=" + this.getGuid() + ", zones=" + this.getZones() + ", projectId=" + this.getProjectId() + ")";
    }
}
