package com.bocloud.cos.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 规格数据模型
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年4月13日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SpecModel {

    /**
     * CPU核数
     */
    private Integer cpu;
    /**
     * 内存
     */
    private BigDecimal memory;
    /**
     * 磁盘大小
     */
    private Integer disk;

    /**
     * 暂时不知道是哪里用
     */
    @Deprecated
    private Integer templateId;
    /**
     * 带宽大小
     */
    private Integer bandWidth;

}
