package com.bocloud.cos.driver.utils;

import com.bocloud.cos.enums.CloudProvider;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class VendorConverter {

    public VendorConverter() {
    }

    public static CloudProvider convert(String category) {
        try {
            return CloudProvider.valueOf(category.trim().toUpperCase());
        } catch (Exception var2) {
            log.error("", var2);
            return CloudProvider.UNKNOWN;
        }
    }
}
