package com.bocloud.cos.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@Table("meta_quota")
@EqualsAndHashCode(callSuper = true)
public class MetaQuota extends GenericEntity {

    @PK(PKStrategy.AUTO)
    private Long id;
    @Column("code")
    private String code;
    @Column("unit")
    private String unit;

}
