package com.bocloud.cos.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.bocloud.cos.entity.CloudBill;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 公有云账单
 *
 * @author admin
 */
public interface CloudBillService {

    GeneralResult<GridBean<CloudBill>> list(Pager pager, RequestContext context);

    String synchronizeData(Long vendorAccountId, String month) throws Exception;

    GeneralResult importBill(MultipartFile file, CloudBill cloudBill, RequestContext context);

    GeneralResult download(Pager pager, RequestContext context);

    GeneralResult<List<String>> queryProducts(String vendorType);

}
